import * as fs from "fs";
import { asError } from "../utils";
export const fsFileSystem = {
    fileExists: async (filePath) => {
        try {
            return fs.existsSync(filePath);
        }
        catch (_a) {
            return false;
        }
    },
    readFile: async (filePath) => {
        try {
            return (await fs.promises.readFile(filePath)).toString();
        }
        catch (error) {
            return asError(error);
        }
    },
    writeFile: async (filePath, contents) => {
        try {
            await fs.promises.writeFile(filePath, contents);
            return undefined;
        }
        catch (error) {
            return asError(error);
        }
    },
};
//# sourceMappingURL=fsFileSystem.js.map