import { createESLintConfiguration } from "../converters/lintConfigs/createESLintConfiguration";
import { createESLintConfigurationDependencies } from "./dependencies";
/**
 * Creates a raw output ESLint configuration summary from input configuration values.
 *
 * @param originalConfigurations
 * Any input configuration objects, including 'raw' (exact configuration file contents)
 * and 'full' (tool-reported computed values) for both ESLint and TSLint.
 * @param prettier
 * Whether to always consider the output configuration as extending from the Prettier
 * ruleset, instead of inferring it from computed rule values (recommended).
 */
export const createESLintConfigurationStandalone = async (originalConfigurations, prettier) => {
    var _a, _b;
    var _c, _d;
    const allOriginalConfigurations = { ...originalConfigurations };
    if (allOriginalConfigurations.eslint) {
        (_a = (_c = allOriginalConfigurations.eslint).full) !== null && _a !== void 0 ? _a : (_c.full = allOriginalConfigurations.eslint.raw);
    }
    if (allOriginalConfigurations.tslint) {
        (_b = (_d = allOriginalConfigurations.tslint).full) !== null && _b !== void 0 ? _b : (_d.full = allOriginalConfigurations.tslint.raw);
    }
    return createESLintConfiguration(createESLintConfigurationDependencies, originalConfigurations, prettier, new Map());
};
//# sourceMappingURL=createESLintConfigurationStandalone.js.map