import { uniqueFromSources } from "../utils";
export const collectCommentFileNames = async (dependencies, filePathGlobs, typescriptConfiguration) => {
    if (filePathGlobs === true) {
        if (!typescriptConfiguration) {
            return new Error("--comments indicated to convert files listed in a tsconfig.json, but one was not found on disk or specified by with --typescript.");
        }
        return {
            exclude: typescriptConfiguration.exclude,
            include: uniqueFromSources(typescriptConfiguration.files, typescriptConfiguration.include),
        };
    }
    if (typeof filePathGlobs === "string" && filePathGlobs.endsWith(".json")) {
        const findResult = await dependencies.findTypeScriptConfiguration(filePathGlobs);
        if (findResult instanceof Error) {
            return findResult;
        }
        return await collectCommentFileNames(dependencies, true, findResult);
    }
    return {
        include: uniqueFromSources(filePathGlobs),
    };
};
//# sourceMappingURL=collectCommentFileNames.js.map