import { parseFileComments } from "./parseFileComments";
import { replaceFileComments } from "./replaceFileComments";
export const convertFileComments = async (dependencies, filePath, ruleCommentsCache, ruleEquivalents) => {
    const fileContent = await dependencies.fileSystem.readFile(filePath);
    if (fileContent instanceof Error) {
        return fileContent;
    }
    const comments = parseFileComments(filePath, fileContent);
    const newFileContent = replaceFileComments(fileContent, comments, dependencies.converters, ruleCommentsCache, ruleEquivalents);
    return fileContent === newFileContent
        ? undefined
        : await dependencies.fileSystem.writeFile(filePath, newFileContent);
};
//# sourceMappingURL=convertFileComments.js.map