import * as CsonParser from "cson-parser";
import merge from "lodash/merge";
const knownMissingSettings = ["enableSemanticRules", "rulesDirectory"];
export const convertAtomConfig = (rawEditorSettings) => {
    const editorSettings = CsonParser.parse(rawEditorSettings);
    const linterSettings = editorSettings["linter-tslint"];
    const useLocalTslint = linterSettings === null || linterSettings === void 0 ? void 0 : linterSettings.useLocalTslint;
    const contents = CsonParser.stringify(merge(editorSettings, useLocalTslint !== undefined && {
        "linter-eslint": {
            global: {
                ...{ useGlobalEslint: !useLocalTslint },
            },
        },
    }), null, 4);
    const missing = knownMissingSettings.filter((setting) => linterSettings === null || linterSettings === void 0 ? void 0 : linterSettings[setting]);
    return { contents, missing };
};
//# sourceMappingURL=convertAtomConfig.js.map