import { normalizeRawESLintRuleSeverity } from "./normalizeRawESLintRuleSeverity";
export const normalizeExtensions = (extensions) => {
    const mergedRules = new Map();
    for (const extension of extensions) {
        if (extension.rules === undefined) {
            continue;
        }
        for (const ruleName in extension.rules) {
            mergedRules.set(ruleName, formatRuleArguments(ruleName, extension.rules[ruleName]));
        }
    }
    return mergedRules;
};
const formatRuleArguments = (ruleName, originalValue) => {
    if (originalValue instanceof Array) {
        return {
            ruleArguments: originalValue.slice(1),
            ruleName,
            ruleSeverity: normalizeRawESLintRuleSeverity(originalValue[0]),
        };
    }
    return {
        ruleArguments: [],
        ruleName,
        ruleSeverity: normalizeRawESLintRuleSeverity(originalValue),
    };
};
//# sourceMappingURL=normalizeExtensions.js.map