import { isDeepStrictEqual } from "util";
/**
 * Finds only the ESLint rules configured differently than their (extended) configurations.
 */
export const removeExtendsDuplicatedRules = (userRules, extensionRules) => {
    const differentRules = new Map();
    for (const [ruleName, value] of userRules) {
        if (!ruleValuesAreTheSame(value, extensionRules.get(ruleName))) {
            differentRules.set(ruleName, value);
        }
    }
    return { differentRules, extensionRules };
};
const ruleValuesAreTheSame = (configurationValue, extensionValue) => {
    var _a;
    return (extensionValue !== undefined &&
        configurationValue.ruleSeverity === extensionValue.ruleSeverity &&
        isDeepStrictEqual((_a = configurationValue.ruleArguments) !== null && _a !== void 0 ? _a : [], extensionValue.ruleArguments));
};
//# sourceMappingURL=removeExtendsDuplicatedRules.js.map