export var PackageManager;
(function (PackageManager) {
    PackageManager[PackageManager["npm"] = 0] = "npm";
    PackageManager[PackageManager["pnpm"] = 1] = "pnpm";
    PackageManager[PackageManager["Yarn"] = 2] = "Yarn";
})(PackageManager || (PackageManager = {}));
export const preferredLockfiles = new Map([
    [PackageManager.npm, "./package-lock.json"],
    [PackageManager.pnpm, "./pnpm-lock.yaml"],
    [PackageManager.Yarn, "./yarn.lock"],
]);
export const installationMessages = {
    [PackageManager.npm]: (packages) => `npm install ${packages} --save-dev`,
    [PackageManager.pnpm]: (packages) => `pnpm add ${packages} --save-dev`,
    [PackageManager.Yarn]: (packages) => `yarn add ${packages} --dev`,
};
//# sourceMappingURL=packageManagers.js.map