import { ConversionError } from "../../../errors/conversionError";
export const convertRule = (tslintRule, converters) => {
    const converter = converters.get(tslintRule.ruleName);
    if (converter === undefined) {
        return undefined;
    }
    try {
        return converter(tslintRule);
    }
    catch (error) {
        // TODO: Maybe we can provide a different error message for generic errors.
        return ConversionError.forRuleError(error, tslintRule);
    }
};
//# sourceMappingURL=convertRule.js.map