import isNumber from "lodash/isNumber";
const parseExtras = (ruleArguments) => {
    if (ruleArguments.length === 0) {
        return {};
    }
    const [max] = ruleArguments;
    if (typeof max === "number") {
        return {
            ruleArguments: [max],
        };
    }
    const notices = [
        "ESLint's max-statements rule only supports a single maximum function length.",
    ];
    if (max["ignore-comments"]) {
        notices.push("ESLint's max-statements rule does not have an option to ignore comments.");
    }
    return {
        notices,
        ruleArguments: [
            Math.max(...Object.values(max).filter(isNumber)),
        ],
    };
};
export const convertMaxFuncBodyLength = (tslintRule) => {
    return {
        rules: [
            {
                ...parseExtras(tslintRule.ruleArguments),
                ruleName: "max-statements",
            },
        ],
    };
};
//# sourceMappingURL=max-func-body-length.js.map