export const ForbiddenOtherNonBooleanTypes = "String, number, enum, and mixed union types are now forbidden.";
export const convertStrictBooleanExpressions = (tslintRule) => {
    const ruleArguments = {};
    let notices;
    if (tslintRule.ruleArguments.length >= 2 || tslintRule.ruleArguments[0] === true) {
        notices = [ForbiddenOtherNonBooleanTypes];
        for (const ruleArgument of tslintRule.ruleArguments) {
            switch (ruleArgument) {
                case "allow-undefined-union":
                case "allow-boolean-or-undefined":
                case "allow-null-union":
                    ruleArguments.allowNullable = true;
                    break;
                case "ignore-rhs":
                    ruleArguments.ignoreRhs = true;
                    break;
                default:
                    break;
            }
        }
    }
    return {
        rules: [
            {
                ...{ notices },
                ...(Object.keys(ruleArguments).length !== 0 && { ruleArguments: [ruleArguments] }),
                ruleName: "@typescript-eslint/strict-boolean-expressions",
            },
        ],
    };
};
//# sourceMappingURL=strict-boolean-expressions.js.map