import { normalizeRawESLintRuleSeverity } from "../pruning/normalizeRawESLintRuleSeverity";
/**
 * Normalizes raw ESLint rule configurations into our standardized output format.
 */
export const normalizeESLintRules = (userRules) => {
    const output = new Map();
    for (const [ruleName, rawRuleValue] of Object.entries(userRules !== null && userRules !== void 0 ? userRules : {})) {
        const [rawRuleSeverity, ruleArguments] = parseRawRuleValue(rawRuleValue);
        const ruleSeverity = normalizeRawESLintRuleSeverity(rawRuleSeverity);
        output.set(ruleName, { ruleArguments, ruleName, ruleSeverity });
    }
    return output;
};
const parseRawRuleValue = (configuration) => {
    return configuration instanceof Array
        ? [configuration[0], configuration.slice(1)]
        : [configuration, [{}]];
};
//# sourceMappingURL=normalizeESLintRules.js.map