import { uniqueFromSources } from "../utils";
import { findRawConfiguration } from "./findRawConfiguration";
import { findReportedConfiguration } from "./findReportedConfiguration";
const defaultESLintConfiguration = {
    env: {},
    extends: [],
    rules: {},
};
export const findESLintConfiguration = async (dependencies, config) => {
    var _a;
    const filePath = (_a = config.eslint) !== null && _a !== void 0 ? _a : config.config;
    const [rawConfiguration, reportedConfiguration] = await Promise.all([
        findRawConfiguration(dependencies.importer, filePath, {
            extends: [],
        }),
        findReportedConfiguration(dependencies.exec, "eslint --print-config", filePath),
    ]);
    if (rawConfiguration instanceof Error) {
        return rawConfiguration;
    }
    if (reportedConfiguration instanceof Error) {
        return reportedConfiguration;
    }
    const extensions = uniqueFromSources(rawConfiguration.extends, reportedConfiguration.extends);
    return {
        full: {
            ...defaultESLintConfiguration,
            ...reportedConfiguration,
            extends: extensions,
        },
        raw: rawConfiguration,
    };
};
//# sourceMappingURL=findESLintConfiguration.js.map