import { asError } from "../utils";
export const findReportedConfiguration = async (exec, command, config) => {
    const fullCommand = `${command} "${config}"`;
    const stdout = await execAndCatch(exec, fullCommand);
    if (stdout instanceof Error) {
        return stdout;
    }
    try {
        return JSON.parse(stdout);
    }
    catch (error) {
        return new Error(`Error parsing configuration: ${error}`);
    }
};
const execAndCatch = async (exec, fullCommand) => {
    try {
        const { stderr, stdout } = await exec(fullCommand);
        if (stderr) {
            return new Error(stderr);
        }
        return stdout;
    }
    catch (error) {
        return asError(error);
    }
};
//# sourceMappingURL=findReportedConfiguration.js.map