import { findReportedConfiguration, } from "./findReportedConfiguration";
const defaultTypeScriptConfiguration = {
    compilerOptions: {
        target: "es3",
    },
};
export const findTypeScriptConfiguration = async (dependencies, config) => {
    const rawConfiguration = await findReportedConfiguration(dependencies.exec, "tsc --showConfig -p", config !== null && config !== void 0 ? config : "./tsconfig.json");
    return rawConfiguration instanceof Error
        ? rawConfiguration
        : {
            ...rawConfiguration,
            compilerOptions: {
                ...defaultTypeScriptConfiguration.compilerOptions,
                ...rawConfiguration.compilerOptions,
            },
        };
};
//# sourceMappingURL=findTypeScriptConfiguration.js.map